Loading...
Searching...
No Matches
pdftron::PDF::TimestampingConfiguration Class Reference

`#include <TimestampingConfiguration.h>`

## Public Member Functions
| TimestampingConfiguration (const TimestampingConfiguration &other)
TimestampingConfiguration & | operator= (const TimestampingConfiguration &other)
| ~TimestampingConfiguration ()
void | Destroy ()
| TimestampingConfiguration (const UString &in_url)
void | SetTimestampAuthorityServerURL (const UString &in_url)
void | SetTimestampAuthorityServerUsername (const UString &in_username)
void | SetTimestampAuthorityServerPassword (const UString &in_password)
void | SetUseNonce (bool in_use_nonce)
TimestampingResult | TestConfiguration (const pdftron::PDF::VerificationOptions &in_opts) const
| TimestampingConfiguration (TRN_TimestampingConfiguration impl)

## Public Attributes
TRN_TimestampingConfiguration | m_impl

## Detailed Description

A class representing a set of options for timestamping a document.

Definition at line 21 of file TimestampingConfiguration.h.

## Constructor & Destructor Documentation

## ◆ TimestampingConfiguration() [1/3]

pdftron::PDF::TimestampingConfiguration::TimestampingConfiguration | ( | const TimestampingConfiguration & | other | ) |

## ◆ ~TimestampingConfiguration()

pdftron::PDF::TimestampingConfiguration::~TimestampingConfiguration | ( |  | ) |

## ◆ TimestampingConfiguration() [2/3]

pdftron::PDF::TimestampingConfiguration::TimestampingConfiguration | ( | const UString & | in_url | ) |

Constructor.

Parameters

  in_url | – a string representing a URL of a timestamp authority (TSA) to use during timestamping

## ◆ TimestampingConfiguration() [3/3]

pdftron::PDF::TimestampingConfiguration::TimestampingConfiguration | ( | TRN_TimestampingConfiguration | impl | ) |

## Member Function Documentation

## ◆ Destroy()

void pdftron::PDF::TimestampingConfiguration::Destroy | ( |  | ) |

## ◆ operator=()

TimestampingConfiguration & pdftron::PDF::TimestampingConfiguration::operator= | ( | const TimestampingConfiguration & | other | ) |

## ◆ SetTimestampAuthorityServerPassword()

void pdftron::PDF::TimestampingConfiguration::SetTimestampAuthorityServerPassword | ( | const UString & | in_password | ) |

Setter for a password to use during timestamping.

Parameters

  in_password | – a string representing a password.

## ◆ SetTimestampAuthorityServerURL()

void pdftron::PDF::TimestampingConfiguration::SetTimestampAuthorityServerURL | ( | const UString & | in_url | ) |

Setter to change the timestamp authority (TSA) URL to use during timestamping.

Parameters

  in_url | – a string representing a URL of a timestamp authority.

## ◆ SetTimestampAuthorityServerUsername()

void pdftron::PDF::TimestampingConfiguration::SetTimestampAuthorityServerUsername | ( | const UString & | in_username | ) |

Setter for a username to use during timestamping.

Parameters

  in_username | – a string representing a username.

## ◆ SetUseNonce()

void pdftron::PDF::TimestampingConfiguration::SetUseNonce | ( | bool | in_use_nonce | ) |

Setter for whether to use a nonce (unique random number) during timestamping. This is on by default, and should be on whenever a timestamp authority supports it, because it helps prevent replay attacks.

Parameters

  in_use_nonce | – a boolean value representing whether or not to use a nonce

## ◆ TestConfiguration()

TimestampingResult pdftron::PDF::TimestampingConfiguration::TestConfiguration | ( | const pdftron::PDF::VerificationOptions & | in_opts | ) | const

Tests a timestamping configuration for usability and reports any failures. This function does not throw on many common failures, unlike the real signing, thereby allowing early diagnosis of things like connectivity issues with timestamp authorities.

Parameters

  in_opts | – a set of verification options to try to use

Returns
  A result object containing information about the status of the configuration test and any errors that occurred during it.

## Member Data Documentation

## ◆ m_impl

TRN_TimestampingConfiguration pdftron::PDF::TimestampingConfiguration::m_impl

Definition at line 87 of file TimestampingConfiguration.h.

The documentation for this class was generated from the following file:

- PDF/TimestampingConfiguration.h